com.pixelmed.display

## Class MammoDemographicAndTechniqueAnnotations

- java.lang.Object
- - com.pixelmed.display.DemographicAndTechniqueAnnotations
  - - com.pixelmed.display.MammoDemographicAndTechniqueAnnotations

-     public class MammoDemographicAndTechniqueAnnotations
      extends DemographicAndTechniqueAnnotations

  A class to extract selected DICOM annotative attributes into defined displayed area relative positions for mammograms.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

      `DemographicAndTechniqueAnnotations.AnnotationLayoutConfigurationEntry`

  - ### Field Summary

    - ### Fields inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

      `ABBREVPHOTO, CALLFUNCTION, CODEMEANING, DIRECTIONVECTOR, EXPOSURE, EXPOSURETIME, FRAMENUMBER, IMAGETYPE, JUSTTIME, layout, LOSSYCOMPRESSED, multipleCodeMeaningDelimiter, NOSPECIAL, ORIENTLABEL, PIXELREPN, SLICESPACING, TEXTIFYESNO, XRAYTUBECURRENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MammoDemographicAndTechniqueAnnotations(AttributeList list, boolean leftSide)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `getAbbreviationFromImageLateralityViewModifierAndViewModifierCodeSequenceAttributes(AttributeList list)` Return an abbreviation for laterality, view and view modifier.
    `protected static java.lang.String` | `getViewAbbreviationFromViewCodeSequenceAttributes(AttributeList list)` Return an abbreviation for a mammography view.
    `protected static java.lang.String` | `getViewModifierAbbreviationFromViewModifierCodeSequenceAttributes(AttributeList list)` Return an abbreviation for a mammography view modifer.
    `protected void` | `initializeDefaultLayout()`

    - ### Methods inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

      `getValueByCallingFunction, iterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MammoDemographicAndTechniqueAnnotations

          public MammoDemographicAndTechniqueAnnotations(AttributeList list,
                                                         boolean leftSide)

      Parameters:
        `list` - the DICOM attributes of a single or multi-frame image
        `leftSide` - whether the side to annotate (the side opposite the chest wall) is left (true) or right (false)

  - ### Method Detail

    - #### initializeDefaultLayout

          protected void initializeDefaultLayout()

      Overrides:
        `initializeDefaultLayout` in class `DemographicAndTechniqueAnnotations`

    - #### getViewAbbreviationFromViewCodeSequenceAttributes

          protected static java.lang.String getViewAbbreviationFromViewCodeSequenceAttributes(AttributeList list)

      Return an abbreviation for a mammography view.

      Parameters:
        `list` - the attributes of an item of ViewCodeSequence
      Returns:
        a string value with an ACR/DICOM/IHE specified abbreviation

    - #### getViewModifierAbbreviationFromViewModifierCodeSequenceAttributes

          protected static java.lang.String getViewModifierAbbreviationFromViewModifierCodeSequenceAttributes(AttributeList list)

      Return an abbreviation for a mammography view modifer.

      Parameters:
        `list` - the attributes of an item of ViewModifierCodeSequence
      Returns:
        a string value with an ACR/DICOM/IHE specified abbreviation, including a leading "..." or trailing "..." to indicate prefix or suffix, or neither if a replacement

    - #### getAbbreviationFromImageLateralityViewModifierAndViewModifierCodeSequenceAttributes

          protected static java.lang.String getAbbreviationFromImageLateralityViewModifierAndViewModifierCodeSequenceAttributes(AttributeList list)

      Return an abbreviation for laterality, view and view modifier.

      Parameters:
        `list` -
      Returns:
        a string value with an ACR/DICOM/IHE specified abbreviation